from fastmcp import Client
import asyncio

async def main():

    async with Client("http://127.0.0.1:8080/mcp") as client:
        tools = await client.list_tools()
        for tool in tools:
            print(f"🔧 {tool.name} - {tool.description or 'sin descripción'}")


        client.call_tool_mcp()

if __name__ == "__main__":
    asyncio.run(main())